CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Recommended modules
 * Installation
 * Configuration
 * Troubleshooting


INTRODUCTION
------------

**Custom Publishing Options** allows you to create custom publishing
options for nodes, including node access permissions.

It also ingrates with views to allow you add as a field, sort and
filter by, your custom options.


REQUIREMENTS
------------

This module requires no modules outside of Drupal core.


RECOMMENDED MODULES
-------------------

 * [**Advanced Help**](https://www.drupal.org/project/advanced_help):
   When this module is enabled, display of the project's `README.md`
   will be rendered when you visit `help/custom_pub/README.md`.

 * [**Markdown filter**](https://www.drupal.org/project/markdown):  
   When enabled, display of the project's `README.md` help will be
   rendered with markdown.

 * [**Override Node Options**](https://www.drupal.org/project/override_node_options):  
   This module adds access control to each publish state at role
   level, so giving a role the permission "Administer content" (as
   suggested below) is not a requirement.


INSTALLATION
------------
 
 * Install as you would normally install a contributed Drupal
   module. Visit "[Installing
   modules](https://www.drupal.org/node/895232/)" for further
   information.


CONFIGURATION
-------------

 * Give the roles that shall have access to the custom publishing
   options the permission 'Administer content types'.

 * Configure custom publishing options by navigating to **Administration
   » Structure » Custom Publishing Options**
   (`admin/structure/custom_pub`).

      * On each new option created, set the content types the option
     shall be available for.

 * Configure the user permissions for custom publishing options by
   navigating to **Administration » People » Permissions**.
   (`admin/people/permissions`).

   * Grant permission to each role that should be able to use the new
     publishing option.

   * Grant permission view content to each role that should be able to
     view content with the custom publishing option.

Using the Views [**Views**](http://drupal.org/project/views) module
opens up a whole new avenue of displaying content with **Custom
Publishing Options**.  Create your view any way you like, and under
"Filter" you will find all Custom Publishing Options available. Create
archived content sections by creating an Archive option, and Filter by
that option.


TROUBLESHOOTING
---------------

By default a role will only see *custom* publishing options when
creating or editing a node.  It will not have access to the *core*
publishing options. I.e. it wil not have access to the publishing
options 'Published', 'Promoted to front page' or 'Sticky at top of
lists'.  To see these, give the role the permission "Administer
content" (`administer nodes`). For an alternative solution, see the
note above about the **Override Node Options** module.

This release implements new node access permissions that may restrict
access to nodes that was not restricted before. After installing the
update, please visit **Administration » People » Permissions** and
look in the section "Custom Publishing Options" to check that these
permissions are set correctly.
